Bug 833310 - gspiceui doesn't install gwave.
gspiceui doesn't install gwave.
Product: Fedora
Classification: Fedora
Component: gspiceui (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-19 04:25 EDT by Caner Çuhac
Modified: 2016-08-09 21:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 23:27:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of the error. (85.77 KB, image/png)
2012-06-19 04:25 EDT, Caner Çuhac
no flags Details

  None (edit)
Description Caner Çuhac 2012-06-19 04:25:17 EDT
Created attachment 592862 [details]
Screenshot of the error.

Description of problem:

gspiceui doesn't install gwave, thus graphs can't be drawn. Installing gtkwave packet doesn't help.

Version-Release number of selected component (if applicable):

gtkwave.i686 0:3.3.35-1.fc17

How reproducible:

Steps to Reproduce:
1. Install gspiceui using yum.
2. Import a netlist.
3. Run the simulation.
4. Try to view the results. It will complain that gwave is missing.
Actual results:

No graph drawn.

Expected results:

Results in a graph.

Additional info:
Comment 1 Fedora End Of Life 2013-07-03 20:05:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:27:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Skippy 2014-01-01 18:19:21 EST
This issue is still valid as of F20.  Furthermore gwave does not seem te be in Fedora repositories (and might be obsolete ?).

However gSpiceUI is able to run with Gaw, which doesn't seem to be in Fedora repositories but can be downloaded from http://www.rvq.fr/linux/gaw.php and is "easier" to compile than gwave.  Then one simply has to run gSpiceUI with option "-w gaw".
Comment 4 nate 2016-08-09 21:42:45 EDT
Still a issue in F24.  gspiceui is still looking for gwave and is still failing to find it.  Gtkwave seems to be the replacement for gwave, but it is a bit of a mystery on how to get gSpiceui to use it.

Note You need to log in before you can comment on or make changes to this bug.